import React from "react";

import TodoItem from "./TodoItem";

import { todoListSelector } from "../State/Selector";
import { useRecoilValue } from "recoil";
import {todoListAtom} from "../State/Atom";

export default function TodoList() {
  // TODO: hookup the TodoList - make me child of App and my children are TodoItem(s)
  // TODO: retrieve atom value
  // const todos = useRecoilValue(todoListAtom);
  // TODO: once you have filters implemented change retrieval to filtered selector
  const todos = useRecoilValue(todoListSelector);

  return (
    <div className="todo-list">
      {todos.map(item => (
        <TodoItem key={item.id} item={item} />
      ))}
    </div>
  );
}
