import React from "react";

import { useRecoilState } from "recoil";
import { filterAtom } from "../State/Atom";

export default function Filter() {
  {/* TODO: Add logic to setting filters */}
  const [filter, setFilter] = useRecoilState(filterAtom);

  const updateFilter = (selectedFilter: string) => {
    setFilter(selectedFilter);
  };

  return (
    <>
        <span>Filter: </span>
        <select value={filter} onChange={(e) => updateFilter(e.target.value)}>
        <option value="all">All</option>
        <option value="completed">Completed</option>
        <option value="uncompleted">Uncompleted</option>
        </select>
    </>
    );
}
