import { atom } from "recoil";
import { Todo } from "../Models/Todo";

// TODO create "todoListAtom" of type Todo[] with default empty array
export const todoListAtom = atom<Todo[]>({
    key: "todoList",
    default: []
});

// TODO create "filterAtom" of type string with default "all"
export const filterAtom = atom({
    key: "filter",
    default: "all"
});
